%define anolis_release 1

Name:		perl-Digest-Perl-MD5
Version:	1.9
Release:	%{anolis_release}%{?dist}
Summary:	Perl implementation of Ron Rivest's MD5 Algorithm
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Digest-Perl-MD5
Source0:	https://cpan.metacpan.org/modules/by-module/Digest/Digest-Perl-MD5-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Exporter)
BuildRequires:	perl(integer)
BuildRequires:	perl(strict)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(lib)
BuildRequires:	perl(Test)
# Dependencies
Requires:	perl(Symbol)

%description
A pure-perl implementation of Ron Rivest's MD5 Algorithm.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Digest-Perl-MD5-%{version}

# Remove spurious exec permissions
chmod -c -x lib/Digest/Perl/MD5.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Digest/
%{_mandir}/man3/Digest::Perl::MD5.3*

%files doc
%doc CHANGES

%changelog
* Fri Apr 28 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.9-1
- Init upstream from version 1.9
